import os

cwd = os.getcwd()
rootfiles = os.listdir(os.curdir)
for rf in rootfiles:
    if os.path.isdir(rf):
        newfolder = cwd + os.path.sep + rf
        files = os.listdir(newfolder)
        for filename in files:
            if filename.endswith('.qc'):
                os.system('"C:\\Program Files\\Notepad++\\notepad++.exe" ' + newfolder + os.path.sep + filename + '')
